id: wordpress-elementor

info:
  name: Elementor Website Builder – More Than Just a Page Builder Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/elementor/
  metadata:
    plugin_namespace: elementor
    wpscan: https://wpscan.com/plugin/elementor
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/elementor/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/elementor.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a0046304402207955eaa85c8dea2864674e52c52753042e0b5962c94a2b665baabf1fb4f26077022068ced99e531a1b64e49b9ca82d43dbb7e0bcebe098d500746f6649f543ec1aa8:922c64590222798bb761d5b6d8e72950